Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
onetwo07 Posted on 07/05/2018 15:24
Retained list

Report Message | Email Message To A Friend | Reply To Message
 
At risk of being told off again for thinking about football that might happen in the future (I had heard something about League 2 next season?), who do we think stays?

Assuming everyone wants to sign (admittedly a big assumption), here's my £0.02:

Retain: Jalal, Hodgkiss, Fitz, Pilkington, Lowe, Kennedy, Whitaker, Whitehead, Lloyd, Durrell, Hancox, Marsh, Wilson.

Retain as squad players: Baba, Arthur.

Likely release: Richards (seems a top bloke but can't see him being a league player), Ramsbottom (there is a decent case for retaining him seeing as he seems a good fit and we could always emergency loan a keeper if Shwan was out for a period).

Loanees: Blissett is a handful but won't get many goals in L2 - useful option still but I'd not break the bank for him, Evans I think has done superbly & would be a great signing, Burgess has made the odd good contribution but I wouldn't say enough to justify signing permanently.

My list would leave us with 16/17, which ideally then you'd like to see supplemented with one each of a defender, midfielder, forward. All of whom have to really be as good/better than what we already have (good luck finding/affording them..!).
IP: Logged
onetwo07 Posted on 07/05/2018 15:30
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I see on the other thread that Evans has been released by FGR. In addition, Marsh-Brown released and Luke James 'immediately available for transfer'. Both players who impressed against us - I thought James looked extremely lively playing pretty much on his own in a very poor Barrow side.
IP: Logged
lythamandblues Posted on 07/05/2018 15:35
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Don't know if it will make any difference to the number of "core" players that Sir John thinks he will need next season but with the step up to the EFL, Macc will be subject to transfer windows again.

That having been said his dealings last season seemed to fall pretty much within these (even though they didn't apply) - the signing of Danny Whitehead possibly being the exception, though if he was a free agent, this may have been allowable(?) under EFL rules(?).

You are also allowed up to 7 substitutes, though I don't suppose you need to fill the bench, in the EFL.
IP: Logged
stevie-mtfc Posted on 07/05/2018 15:42
Retained list
Edited On: 07/05/2018 15:43
Report Message | Email Message To A Friend | Reply To Message 

 
RETAIN:

John Askey - the most important of all.
Shwan Jalal
Sam Ramsbottom
David Fitzpatrick
Keith Lowe
George Pilkington
Kieran Kennedy
Jared Hodgkiss
Mitch Hancox
Elliott Durrell
Danny Whitehead
Danny Whitaker
Ryan Lloyd
Scott Wilson
Tyrone Marsh


RELEASE:

Koby Arthur
Courtney Richards
Noe Baba


LOANEES:

Callum Evans - attempt to sign
Nathan Blissett -attempt to sign
Scott Burgess - unsure


POSITIONS TO SIGN:

- A 3rd goalkeeper - probably one to compete with Shwan Jalal for number 1 spot and send Ramsbottom out on loan to get some more experience. We used to have 3 keepers when we were a football league club last time.
- Cover/competition at both right and left back for Hodgkiss and Fitz.
- A 4th centre back - preferably someone youthful and pacey.
- At least one, maybe two more out and out wingers.
- Another two central midfielders - preferably one who protects the back 4.
- At least one, maybe two more strikers.


We might struggle to keep hold of Askey. We may also struggle to keep all of our current players - particularly Durrell, Whitehead and Hancox in my opinion. We will need a bigger squad than the 18-20 we had in the National League, and should probably now be looking at 22-25, budget permitting.
IP: Logged
onetwo07 Posted on 07/05/2018 15:53
Retained list
Edited On: 07/05/2018 15:55
Report Message | Email Message To A Friend | Reply To Message 

 
I think if we're going to need a slightly larger squad, Baba and Arthur are both excellent signings.

Relatively cheap, both with potential to develop further, both with excellent foundling education, both positionally versatile. Perhaps most importantly, both have been superb in the role of squad men. Uncomplaining, hard-working and able to step in and produce when needed. Last thing you need is people kicking off at being on the bench!
IP: Logged
MenorahTableofShowbread Posted on 07/05/2018 17:42
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
First, there are 3 players going nowhere - Durrell, Lloyd and Hodgkiss were signed on 2 year contracts.

Second - I think if JA gets the budget he wants, he will commit and half the team will commit to him.

Third - it's them up to JA who he wants / needs, but I get the impression that he will release minimal numbers and will try to add 4 or 5 who represent a "step up" to compete at a higher level.
IP: Logged
The_Boss Posted on 07/05/2018 18:02
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
As per the original poster, in fear of being shouted at for having no loyalty/compassion or whatever you want to call it, I'd be trying to keep them all barring Richards, Arthur & Baba. We'll need stronger depth than those in my opinion so whilst they've been good squad members this year, I personally don't think they'll be good enough to step into a League 2 match day squad.

I'm also unsure as to whether Jalal is the right man for the #1 jersey, nor if Ramsbottom is good enough to really challenge him for it.

Further up the pitch, I don't like to say it but I could see Pilks possibly struggle against the quicker stronger forwards we'll now be up against, though do feel that Keiron Kennedy could actually be better suited to league football than the conference.

Midfield is pretty strong if we can keep both DW's, Mitch, Evans on top of the contracted Duzza and Lloyd. As already mentioned another out and out winger would be nice, i.e Danny Rowe!!

Up front I think we need to add some quality, and could be the difference between 6-8 places in the league table. Blissett is apparently signed permanent as part of his loan deal was to become permanent, and his physical presence will provide useful. We have to give Wilson and Marsh (pending other issues) a chance, though personally worry whether Wilson with get as much freedom of penalty areas as he did at times last season.

Make no mistake I'd like the majority of this squad to be kept together and quality additions brought in, but we also can't be naive enough to think we can compete without some tough decisions being made by JA in terms of who we move on.
IP: Logged
Smoky2 Posted on 07/05/2018 19:53
Retained list
Edited On: 07/05/2018 19:54
Report Message | Email Message To A Friend | Reply To Message 

 
Always being one for a good conspiracy theory I notice in one of the last pictures in the star lane end series of the reception at the town hall with a council official there are only 10 players lined up with him .Does that mean they are the 10 JA wants to keep ?
IP: Logged
The_Boss Posted on 07/05/2018 20:14
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Nah more likely the players least expected having a victory parade on bank holiday weekend so had family holidays booked instead!!
IP: Logged
spoons Posted on 07/05/2018 21:04
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
They must have been very confident that we were going to win the league and not be in the playoffs [:o)]
IP: Logged
MenorahTableofShowbread Posted on 07/05/2018 22:28
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
So, from memory of the photos, we will be keeping Ramsbottom, Baba and Arthur but not Fitz, Whitehead and Lowe?
IP: Logged
Paddysboyz Posted on 08/05/2018 00:08
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
John will understandably be a very attractive proposition to bigger teams / moneybags teams from the lower level, and HAS to be the priority in order that many of the squad will follow [^][:D].

We have a fabulous squad / team spirit and we must take that into next season with this great feelgood factor that is sweeping the town at this time [:D].

Amar / Mark: Please move Heaven & Earth to ensure that we have John at our club next season and hopefully for many more to come. You know it makes sense [^][8D].

Kindest regards

PB [smi].
IP: Logged
Fola Posted on 08/05/2018 09:01
Retained list
Edited On: 08/05/2018 09:02
Report Message | Email Message To A Friend | Reply To Message 

 
Shwan Jalal - KEEP
Sam Ramsbottom - RELEASE
Jared Hodgkiss - UNDER CONTRACT
George Pilkington - KEEP
David Fitzpatrick - KEEP
Keith Lowe - KEEP
Kieran Kennedy - KEEP
Callum Evans - KEEP
Mitch Hancox - KEEP
Courtney Richards - RELEASE
Ryan Lloyd - UNDER CONTRACT
Scott Burgess - KEEP
Elliott Durrell - UNDER CONTRACT
Danny Whitaker - KEEP
Noe Baba - KEEP
Koby Arthur - KEEP
Danny Whitehead - KEEP
Scott Wilson - KEEP
Tyrone Marsh - KEEP
Nathan Blissett - KEEP
Diego di Girolamo - RELEASE

I think that we'll lose the following players: FITZPATRICK, HANCOX, WILSON.
IP: Logged
crazyface Posted on 08/05/2018 12:10
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
PB.

I think JA will stay, unless a really megga offer comes in. Job for life at MTFC even if things don't go to plan next season. But hey, they didn't this season either !!!! [:D]
IP: Logged
Merseysidemacclad Posted on 08/05/2018 16:01
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Shwan Jalal - KEEP
Sam Ramsbottom - KEEP (3rd Choice)
Jared Hodgkiss - UNDER CONTRACT
George Pilkington - KEEP (PLAYER COACH)
David Fitzpatrick - KEEP
Keith Lowe - KEEP
Kieran Kennedy - KEEP
Callum Evans - SPOKE WITH HIM. WANTS TO SIGN - NEED TO KEEP!
Mitch Hancox - KEEP
Courtney Richards - RELEASE
Ryan Lloyd - UNDER CONTRACT
Scott Burgess - GONE. SIGNED 2 YEARS WITH PARENT CLUB BURY.
Elliott Durrell - UNDER CONTRACT
Danny Whitaker - KEEP (PLAYER COACH)
Noe Baba - KEEP
Koby Arthur - KEEP
Danny Whitehead - KEEP
Scott Wilson - KEEP
Tyrone Marsh - KEEP
Nathan Blissett - KEEP
Diego di Girolamo - KEEP (Must be a reason John took him on)

Can see us likely losing Fitzpatrick, Whitehead, Durrell (If someone offers anything above £75,000 the club will accept - even if they don't need the money).

Just hope we can keep as many of them as possible. The work needs to start NOW on keeping John and then the rest can follow. This needs to happen ASAP.
IP: Logged
WillMill Posted on 08/05/2018 16:04
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
We are flying high but without John we would fall to the ground like a pricked balloon. [rle]
IP: Logged
Fola Posted on 09/05/2018 10:37
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
A lot of clubs already announced their list/new contracts etc. Would be nice to hear some news soon.
IP: Logged
The_Boss Posted on 09/05/2018 10:47
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
We've always been slower in releasing, why change the habit of a lifetime!
IP: Logged
Fola Posted on 09/05/2018 11:53
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
The players probably know but Askey hasn't told the OS. They're as cluesless as us [:P]
IP: Logged
saltpie Posted on 09/05/2018 13:42
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I don't think that John can offer terms to anyone until he knows his budget.


As the owner and chairman are allegedly not on speaking terms with John that could be a problem.
IP: Logged
lymeview Posted on 09/05/2018 16:40
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
And John is not on speaking terms with the Official Site.
IP: Logged
Fola Posted on 10/05/2018 14:00
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
We announced our released/retained list on the 30/05 last season.
IP: Logged
Andrew_J97 Posted on 10/05/2018 14:40
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I think we left it late due to being at Wembley on the 21st.
IP: Logged
Fola Posted on 10/05/2018 15:34
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Macclesfield Town Football Club are pleased to announce their ‘retained list’ at the end of the 2017/18 season.

The following players are under contract for the 2018/19 season:

Jared Hodgkiss

Elliott Durrell

Ryan Lloyd

The following players have been offered new terms for the 2018/19 season:

David Fitzpatrick

Keith Lowe

George Pilkington

Tyrone Marsh

Scott Wilson

Kieran Kennedy

Mitch Hancox

Danny Whitehead

Danny Whitaker

The following players will be released from the Football Club:

Shwan Jalal

Courtney Richards

Sam Ramsbottom

Noe Baba

Diego De Girolamo

Koby Arthur

The following loan players will be offered deals after they were released by their parent clubs:

Nathan Blissett

Callum Evans

The following loan player has returned to his parent club:

Scott Burgess

The Football Club would like to thank all of the departing players for their contribution during their time at the Moss Rose and wish them well in their future careers.
IP: Logged
Fola Posted on 10/05/2018 15:35
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Surprised Jalal and Ramsbottom both are let go. No surprises with the rest- Askey obviously didn't rate them.

Happy to see we've offered deals to Blissett and Evans.
IP: Logged
Andrew_J97 Posted on 10/05/2018 15:36
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
All goalkeepers released.

Blissett and Evans offered a deal (deserved imo)

Richards, Baba, Arthur all gone

Whitaker offered a new deal (still one of our best players deserved a chance in League 2)

IP: Logged
Andrew_J97 Posted on 10/05/2018 15:36
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
All goalkeepers released.

Blissett and Evans offered a deal (deserved imo)

Richards, Baba, Arthur all gone

Whitaker offered a new deal (still one of our best players deserved a chance in League 2)

IP: Logged
Smoky2 Posted on 10/05/2018 15:44
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Happy with that list - although a bit surprised that Pilks is not thought to be a bit old for the EFL .
IP: Logged
maccman Posted on 10/05/2018 15:46
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
That looks spot on to me. Goalkeeper position needed to be improved.
IP: Logged
londonroadblues Posted on 10/05/2018 15:49
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Pilks may be getting on but he never puts a foot wrong. Jalal might feel hard done by but he has cost us points this season, which we cant afford to lose next season.

Rhys taylor and craig ross for me
IP: Logged
macc1997 Posted on 10/05/2018 15:51
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
would love to see Rhys rowey and jennings back in blue next season
IP: Logged
onetwo07 Posted on 10/05/2018 16:02
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Tough on Jalal, otherwise no real surprises (apart from how promptly this has been dealt with!).

I know Shwan made the odd clanger but he also made saves better than anyone I've seen at Macc for a long time. Game against Tranmere sticks out in particular - inspirational. He's been promoted out of L2 before as well! Personally I'd have just brought in a second keeper to offer genuine competition.

Biggest positives here are that I think we'd now be due a bit of compensation if Whitehead or Kennedy left but, mainly, I presume this means that the apparent budget issues have been resolved.
IP: Logged
Smoky2 Posted on 10/05/2018 16:17
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
IF all the players offered terms sign that leaves room for about 9 new players to start the season. Interesting times.
IP: Logged
bollingtonblue Posted on 10/05/2018 16:17
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Well I make the total 14 players being offered new terms for next season, so JA has left himself with plenty of scope to bring in a number of new players to strengthen the squad - hopefully most with League experience and at least one proven goalscorer at League 1 or 2 level.
IP: Logged
macchiavelli Posted on 10/05/2018 16:19
Retained list
Edited On: 10/05/2018 16:20
Report Message | Email Message To A Friend | Reply To Message 

 
I wouldn't quibble with that list. No major surprises there. Makes sense to get in with an early offer to key players.

Hopefully, they will settle for an early guarantee of security for next season, rather than play brinkmanship and hope for a better deal somewhere else.

Remains to be seen whether the offers we have made are competitive, of course.
IP: Logged
saltpie Posted on 10/05/2018 16:28
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Regarding the goalkeeper , I notice that Ryan Boot who played a couple of games on loan in 2017 has been released by Port Vale.
He could be worth a look at.
IP: Logged
Fola Posted on 10/05/2018 16:40
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I think Fitzpatrick and Hancox will move on and the rest will sign new deals. I would of said Whitehead too but he's never really done it anywhere apart from Macc. Kennedy will probably have assurances that Pilk will be a back up player next season.
IP: Logged
KingsleyHolt Posted on 10/05/2018 16:41
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
The most relevant point of the list is not who is on it but what have they been offered.

An indication of the quality of the offers will be how many accept.

I must say that I am still anxious on that point based on history.
IP: Logged
Fola Posted on 10/05/2018 16:41
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Saying that, in regards to Fitz, I know he has a high paid job outside of football. Unless a team can match his combined wage he may stay.
IP: Logged
crazyjoe Posted on 10/05/2018 17:45
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I hope all those who have been offered accept, especially Fitz who in my opinion was our most consistent player last season.
I must admit to being surprised about Jalal being released, I'd definitely have kept him.
IP: Logged
Andrew_J97 Posted on 10/05/2018 18:11
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
I think Mitch and Fitz are the two most likely we will keep.

Fitz as you said has a well paid job around here, and Macc know his schedule. Why would he leave?

From what I heard at the Millstone on the day we got promoted Mitch definitely wants to stay. Unless he got a club nearer to Birmingham then he could be tempted.
IP: Logged
The_Boss Posted on 10/05/2018 19:21
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
That's just about exactly what I would have done I think. I reckon JA will have told Jalal he'd be a #2 which really wouldn't suit him so probs just best all round that he's released.

As I've said in other threads we need better quality in depth than likes of Richards, Baba and Arthur so fine by me that they've been released.

Fingers crossed JA has been able to offer attractive enough deals to the others!!!
IP: Logged
LancsMacc Posted on 10/05/2018 21:49
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
The right players offered new deals and released for me. Jalal is a surprise, but I thought he had a poor season, more absolute howlers than match winning displays. He won't be short of offers in the NL though, good luck to him.
IP: Logged
boomer22 Posted on 10/05/2018 22:22
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Mostly expected I would say. You start with the goalie and if he is dodgy than the whole team suffers. Jalal was great in the main but we could've got out of sight sooner without his early season howlers.
IP: Logged
zelem Posted on 10/05/2018 22:55
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Agreed boomer, overall jalal has been the only real weak link in what was an amazing season, the number of howlers far out weigh the number of match winning saves, we need someone at L2 level who is a lot more solid and reliable.
IP: Logged
fossey Posted on 11/05/2018 08:13
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
i would have offered a contract to jalal but as a number 2 he is joint top in cleen sheets with 18 so I'm sure it will not before he gets a new club
IP: Logged
macchiavelli Posted on 11/05/2018 08:44
Retained list
Edited On: 11/05/2018 08:45
Report Message | Email Message To A Friend | Reply To Message 

 
We just have to see what financial clout we have now, both in terms of retention and recruitment for L2.

No doubt we will happily speculate away, but it will probably be a while yet before things start to take shape for next season.

Obviously every player (and his agent!) wants to get the best deal available, and it may be a good indication of the way the wind is blowing if a significant number of offers are accepted relatively early, and we don't have to start talking about decision deadlines.
IP: Logged
straightouttacrompton Posted on 11/05/2018 21:03
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
We definitely need to retain Lowe... Him and Pilks are a rebrand of Vidic and Ferdinand! I estimate Jalal cost at least 9 points last year, we could have been out of sight a lot sooner without having to clench a bit more worrying about the Trannies. He also struggled in the Ebbsfleet game, prone to moments of madness... Maybe that's an omen... 'only fools rush in'!
IP: Logged
Fola Posted on 25/06/2018 12:30
Retained list

Report Message | Email Message To A Friend | Reply To Message 

 
Noe Baba has signed for Waterford in Ireland
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2018 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213